GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Concepts | Typedefs
strategy_abstract.h File Reference
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/types/types.h"`
`#include <functional>`
`#include <any>`
`#include <vector>`
`#include <tuple>`
`#include <string>`
Include dependency graph for strategy_abstract.h:
This graph shows which files directly or indirectly include this file:

## Classes
struct | gridfire::solver::SolverContextBase
struct | gridfire::solver::TimestepContextBase
| Base class for solver callback contexts. More...
class | gridfire::solver::SingleZoneNetworkSolver< EngineT >
| Abstract base class for network solver strategies. More...
class | gridfire::solver::MultiZoneNetworkSolver< EngineT >

## Namespaces
namespace | gridfire
namespace | gridfire::solver

## Concepts
concept | gridfire::solver::IsEngine

## Typedefs
using | gridfire::solver::SingleZoneDynamicNetworkSolver = SingleZoneNetworkSolver<engine::DynamicEngine>
| Type alias for a network solver strategy that uses a DynamicEngine.
using | gridfire::solver::MultiZoneDynamicNetworkSolver = MultiZoneNetworkSolver<engine::DynamicEngine>